DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DiBaseLUT Class Reference

Base class to handle look-up tables. More...

Inheritance diagram for DiBaseLUT:

## Public Member Functions
| DiBaseLUT (const Uint32 count=0, const Uint16 bits=0)
| constructor More...
virtual | ~DiBaseLUT ()
| destructor
Uint32 | getCount () const
| get number of LUT entries More...
Uint16 | getBits () const
| get number of bits per entry More...
Uint32 | getFirstEntry (const Uint32=0) const
| get index of first LUT entry. More...
Sint32 | getFirstEntry (const Sint32) const
| get index of first LUT entry. More...
Uint32 | getLastEntry (const Uint32=0) const
| get index of last LUT entry. More...
Sint32 | getLastEntry (const Sint32) const
| get index of last LUT entry. More...
Uint16 | getValue (const Uint16 pos) const
| get value of specified LUT entry More...
Uint16 | getValue (const Uint32 pos) const
| get value of specified LUT entry. More...
Uint16 | getValue (const Sint32 pos) const
| get value of specified LUT entry. More...
Uint16 | getFirstValue () const
| get value of first LUT entry. More...
Uint16 | getLastValue () const
| get value of last LUT entry. More...
const Uint16 * | getData () const
| get pointer to LUT data More...
Uint16 | getMinValue () const
| get minimum value of the LUT. More...
Uint16 | getMaxValue () const
| get maximum value of the LUT. More...
Uint32 | getAbsMaxRange () const
| get absolute value range of the LUT entries. More...
int | isValid () const
| check whether LUT is valid More...
const char * | getExplanation () const
| get LUT explanation string More...
virtual OFBool | operator== (const DiBaseLUT &lut)
| compares current LUT with specified LUT More...

## Protected Member Functions
| DiBaseLUT (Uint16 *buffer, const Uint32 count=0, const Uint16 bits=0)
| constructor More...
int | compare (const DiBaseLUT *lut)
| compares current LUT with specified LUT More...

## Protected Attributes
Uint32 | Count
| number of LUT entries
Uint16 | FirstEntry
| first input value mapped (FIV)
Uint16 | Bits
| number of bits per entry
Uint16 | MinValue
| minimum LUT value
Uint16 | MaxValue
| maximum LUT value
int | Valid
| status code, indicating whether LUT is valid
OFString | Explanation
| LUT explanation string.
const Uint16 * | Data
| pointer to lookup table data
Uint16 * | DataBuffer
| pointer to data buffer (will be deleted in the destructor)

## Detailed Description

Base class to handle look-up tables.

## Constructor & Destructor Documentation

## ◆ DiBaseLUT() [1/2]

DiBaseLUT::DiBaseLUT | ( | const Uint32 | count = `0`,
|  | const Uint16 | bits = `0`
| ) |  |

constructor

Parameters

  count | number of LUT entries
  bits | number of bits per entry

## ◆ DiBaseLUT() [2/2]

DiBaseLUT::DiBaseLUT | ( | Uint16 * | buffer,
|  | const Uint32 | count = `0`,
|  | const Uint16 | bits = `0`
| ) |  |
| protected

constructor

Parameters

  buffer | pointer to array with LUT entries
  count | number of LUT entries
  bits | number of bits per entry

## Member Function Documentation

## ◆ compare()

int DiBaseLUT::compare | ( | const DiBaseLUT * | lut | ) |
| protected

compares current LUT with specified LUT

Parameters

  lut | LUT to be compared with the current one

Returns
  true if LUTs are not equal (1 = invalid LUT, 2 = descriptor differs, 3 = data differs) false (0) otherwise

## ◆ getAbsMaxRange()

Uint32 DiBaseLUT::getAbsMaxRange | ( |  | ) | const
| inline

get absolute value range of the LUT entries.

The maximum value which could be stored with the specified bit depth is calculated.

Returns
  absolute range of LUT entries

## ◆ getBits()

Uint16 DiBaseLUT::getBits | ( |  | ) | const
| inline

get number of bits per entry

Returns
  number of bits per entry

## ◆ getCount()

Uint32 DiBaseLUT::getCount | ( |  | ) | const
| inline

get number of LUT entries

Returns
  number of LUT entries

## ◆ getData()

const Uint16* DiBaseLUT::getData | ( |  | ) | const
| inline

get pointer to LUT data

Returns
  pointer to LUT data

## ◆ getExplanation()

const char* DiBaseLUT::getExplanation | ( |  | ) | const
| inline

get LUT explanation string

Returns
  LUT explanation string if successful, NULL otherwise

## ◆ getFirstEntry() [1/2]

Sint32 DiBaseLUT::getFirstEntry | ( | const | Sint32 | ) | const
| inline

get index of first LUT entry.

First input value mapped (FIV) in LUT descriptor is SS -> 16 bit signed. ... or the previous pixel transformation requires a signed LUT input value.

(#)param dummy (used to distinguish between signed and unsigned methods)

Returns
  index of first LUT entry

## ◆ getFirstEntry() [2/2]

Uint32 DiBaseLUT::getFirstEntry | ( | const | Uint32 = `0` | ) | const
| inline

get index of first LUT entry.

First input value mapped (FIV) in LUT descriptor is US -> 16 bit unsigned. ... or the previous pixel transformation requires an unsigned LUT input value.

(#)param dummy (used to distinguish between signed and unsigned methods)

Returns
  index of first LUT entry

## ◆ getFirstValue()

Uint16 DiBaseLUT::getFirstValue | ( |  | ) | const
| inline

get value of first LUT entry.

Returns
  value of first LUT entry

## ◆ getLastEntry() [1/2]

Sint32 DiBaseLUT::getLastEntry | ( | const | Sint32 | ) | const
| inline

get index of last LUT entry.

FIV in LUT descriptor is SS -> 16 bit signed. ... or the previous pixel transformation requires a signed LUT input value.

(#)param dummy (used to distinguish between signed and unsigned methods)

Returns
  index of first LUT entry

## ◆ getLastEntry() [2/2]

Uint32 DiBaseLUT::getLastEntry | ( | const | Uint32 = `0` | ) | const
| inline

get index of last LUT entry.

FIV in LUT descriptor is US -> 16 bit unsigned. ... or the previous pixel transformation requires an unsigned LUT input value.

(#)param dummy (used to distinguish between signed and unsigned methods)

Returns
  index of last LUT entry

## ◆ getLastValue()

Uint16 DiBaseLUT::getLastValue | ( |  | ) | const
| inline

get value of last LUT entry.

Returns
  value of last LUT entry

## ◆ getMaxValue()

Uint16 DiBaseLUT::getMaxValue | ( |  | ) | const
| inline

get maximum value of the LUT.

Returns
  maximum value of the LUT

## ◆ getMinValue()

Uint16 DiBaseLUT::getMinValue | ( |  | ) | const
| inline

get minimum value of the LUT.

Returns
  minimum value of the LUT

## ◆ getValue() [1/3]

Uint16 DiBaseLUT::getValue | ( | const Sint32 | pos | ) | const
| inline

get value of specified LUT entry.

FIV in LUT descriptor is SS -> 16 bit signed. ... or the previous pixel transformation requires a signed LUT input value.

Parameters

  pos | position in the LUT to be returned

Returns
  value of specified LUT entry

## ◆ getValue() [2/3]

Uint16 DiBaseLUT::getValue | ( | const Uint16 | pos | ) | const
| inline

get value of specified LUT entry

Parameters

  pos | position in the LUT to be returned

Returns
  value of specified LUT entry

## ◆ getValue() [3/3]

Uint16 DiBaseLUT::getValue | ( | const Uint32 | pos | ) | const
| inline

get value of specified LUT entry.

FIV in LUT descriptor is US -> 16 bit unsigned. ... or the previous pixel transformation requires an unsigned LUT input value.

Parameters

  pos | position in the LUT to be returned

Returns
  value of specified LUT entry

## ◆ isValid()

int DiBaseLUT::isValid | ( |  | ) | const
| inline

check whether LUT is valid

Returns
  status, true if valid, false otherwise

Referenced by DiMonoOutputPixelTemplate< T1, T2, T3 >::createDisplayLUT().

## ◆ operator==()

virtual OFBool DiBaseLUT::operator== | ( | const DiBaseLUT & | lut | ) |
| virtual

compares current LUT with specified LUT

Parameters

  lut | LUT to be compared with the current one

Returns
  OFTrue if LUTs are equal, OFFalse otherwise

Reimplemented in DiLookupTable.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dibaslut.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1